@extends('frame') 
@section('title', 'This is The Bad Space')
  @section('main-content')
    @parent
    <section class="index-search">
      <form class="index-search-form" action="/search" method="post" enctype="multipart/form-data">
        <input type="text" name="index_search" value="" placeholder="Hi! This is where you search." />
        <button aria-label="search-button">
          <label id="search-label">LOOK FOR IT</label>
          <img id="search-icon" class="button-icon" src="assets/images/global/icon-search.svg" />
        </button>
        @csrf
      </form>
    </section>
    @isset($results)
      <section>
        <article>
          <h2>Found {{count($results)}} results for {{$terms}}</h2>
          @foreach($results as $item)
            <a class="list-link" role="listitem" href="/location/{{$item->uuid}}">
              <span class="item-rating">{{($item->actions_count / $sources)*100}}%</span>
              <label class="item-name">{{$item->name}}</label>
              <div class="item-silence">
                <img class="item-icon" src="/assets/images/global/status-silence.svg" title="silenced" />
                {{$item->silence_count}}
              </div>
              <div class="item-block">
                <img class="item-icon" src="/assets/images/global/status-suspend.svg" title="suspended" />
                {{$item->block_count}}
              </div>
            </a>
          @endforeach
        </article>
      </section>
    @endisset
    <section class="index-meta">
      <article>
        <h2>Recent Updates</h2>
        @foreach($recent as $item)
          <a class="list-link" role="listitem" href="/location/{{$item->uuid}}">
            <span class="item-rating">{{($item->actions_count / $sources)*100}}%</span>
            <label class="item-name">{{$item->name}}</label>
            <div class="item-silence">
              <img class="item-icon" src="/assets/images/global/status-silence.svg" title="silenced" />
              {{$item->silence_count}}
            </div>
            <div class="item-block">
              <img class="item-icon" src="/assets/images/global/status-suspend.svg" title="suspended" />
              {{$item->block_count}}
            </div>
          </a>
        @endforeach
        <h2>Info</h2>
        <div class="index-meta">
          <label>Locations Tracked</label>
          <label>{{$count}}</label>
          <label>Total Sources</label>
          <label>{{$sources}}</label>
          <label>Latest Update</label>
          <label>{{$latest_date}}</label>
        </div>
      </article>
    </section>
  @endsection